Kullanım Kılavuzu API Başvuru Kılavuzu

Ses Listesi

TTS için kullanılabilir sesleri getir

GÖNDERİ /api/v1/voices/

Kimliği doğrulanmış kullanıcının Text-to-Speech API ile kullanma iznine sahip olduğu tüm seslerin bir listesini döndürür.

Kimlik Doğrulama

API anahtarınızı Authorization başlığına Bearer YOUR_API_KEY şeklinde ekleyin.

Yanıt

Alan Tür Açıklama
voice_id tam sayı Benzersiz ses tanımlayıcı
voice_name ip Sesli arama görünen adı
voice_sample_url ip Ses örneği ses dosyasının URL’si
voice_fees yüzmek Bu sesi kullanma ücreti (0, ücretsiz olduğu anlamına gelir)
voice_badges nesne Ses için ek üst veriler; örneğin dil, cinsiyet, yaş, kullanım senaryosu

Örnek

curl "https://moknah.io/api/v1/voices/" \
  -H "Authorization: Bearer YOUR_API_KEY"
import requests

response = requests.post(
    "https://moknah.io/api/v1/voices/",
    headers={"Authorization": "Bearer YOUR_API_KEY"}
)

voices = response.json()
for voice in voices:
    print(voice["voice_name"], voice["voice_sample_url"])
const response = await fetch(
    'https://moknah.io/api/v1/voices/',
    {
        headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
);

const voices = await response.json();
console.log(voices);

Yanıt Örneği

[
    {
        "voice_id": 1328,
        "voice_name": "Adnan",
        "voice_sample_url": "https://storage.moknah.io/media/voice_samples/Adnan.mp3",
        "voice_fees": 0.0,
        "voice_badges": {
            "language": "Arabic",
            "gender": "Male",
            "age": "Young Adult",
            "use_case": "Documentary, Audiobook, Article",
        }
    }
]
API Desteği

API ile ilgili soru veya sorunlarınız için bizimle şu adresten iletişime geçin: api@moknah.io.